#
# spec file for package xfmpc
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xfmpc
Version:        0.2.2
Release:        1.1
Summary:        Lightweight MPD Client for the Xfce Desktop Environment
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Players
Url:            http://goodies.xfce.org/projects/applications/xfmpc
Source:         http://archive.xfce.org/src/apps/xfmpc/0.2/%{name}-%{version}.tar.bz2
Source1:        xfmpc.png
BuildRequires:  ed
BuildRequires:  intltool
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libmpd)
BuildRequires:  pkgconfig(libxfce4ui-1)
BuildRequires:  pkgconfig(libxfce4util-1.0)
Recommends:     %{name}-lang = %{version}
Suggests:       mpd
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Xfmpc is a lightweight Music Player Daemon (MPD) client application for the
Xfce desktop environment.

%lang_package

%prep
%setup -q
ed -s xfmpc.desktop.in 2>/dev/null <<'EOF'
,s/^Icon=stock_volume/Icon=xfmpc/
w
EOF
cat xfmpc.desktop.in

%build
%configure
make %{?_smp_mflags} V=1

%install
%make_install
install -D -m 0644 -p %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png

%suse_update_desktop_file %{name}

rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

%find_lang %{name} %{?no_lang_C}

%clean
rm -rf %{buildroot}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog* IDEAS NEWS README THANKS
%{_bindir}/xfmpc
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%files lang -f %{name}.lang

%changelog
* Tue Apr  3 2012 gber@opensuse.org
- specfile cleanup
- split off -lang subpackage
* Sun Oct 23 2011 gber@opensuse.org
- update to version 0.2.2
  - add status-icon to hide Xfmpc and keep it running in the
    background
  - add a Shortcuts dialog to show existing shortcuts
  - tweak visual aspects
  - fix misc bugs
* Fri Feb 18 2011 gber@opensuse.org
- call %%desktop_database_post/un
* Thu Feb  3 2011 gber@opensuse.org
- update to version 0.2.1
  - support for consume and single modes
  - set Xfmpc window title to what is currently playing in mpd
  - port to libxfce4ui
  - port to automake 1.11
  - Remove dependency on xfce4-vala
  - bugfixes
* Wed Dec 29 2010 gber@opensuse.org
- corrected group
- corrected license
- imporved summary, description
- added missing build dependencies
- remove unsupported locales
* Wed Nov 11 2009 prusnak@suse.cz
- updated to 0.2.0
* Fri Apr  3 2009 prusnak@suse.cz
- updated to 0.1.0
  * 0.1.0
  - Preferences dialog for the MPD server and the appearance
  - An about dialog
  - Display the song position in the playlist
  - The database browser shows filenames already in the playlist in bold
  - A statusbar with the number of songs and total time of the playlist
  - A Replace item in the database browser context menu
  - A Browse item in the database browser (search results) and the playlist
    context menus to go to the directory of a song
  - An information item in the playlist context menu
  - Fix misc bugs
  - New translations: Swedish, Turkish, Portuguese, Czech, Basque, Italian,
    Spanish, Catalan
  * 0.0.7
  - Add a search entry in the database browser
  - Add a right click menu in the database browser to add the selected songs
  - Add a right click menu in the playlist to remove the selected songs
  - Fix misc bugs
  - New translations: Finnish, Indonesian, Japanese, Ukrainian
  * 0.0.6
  - New button that displays a context menu
  - Possibility to switch repeat and random in the context menu
  - Reload the database view on changes (mpc update)
  - Fix misc bugs
  * 0.0.5
  - Add Clear Playlist and Refresh Database buttons
  - Clean up XfmpcInterface, move GtkWindow code to main.c
  - Fix misc bugs
* Wed Apr  2 2008 prusnak@suse.cz
- updated to 0.0.4
  * 0.0.4
  - Add a database browser with the ability to add songs
  - Add behaviors in the filter entry of the playlist
  - Be more efficient with playlist refreshes
  - Fix misc bugs
  * 0.0.3
  - New widget XfmpcExtendedInterface which displays notebook pages
    selectable through a combo box
  - New widget XfmpcPlaylist with a filter entry
  - Save the state of the window (sticky window, size)
  - Installs a desktop file entry
  - Emit signals on changes instead of setting a bitfield inside
    XfmpcMpdclient
  * 0.0.2
  - Keybindings (Ctrl+B/P/S/F/V) to go backwards, play/pause, stop,
    go forwards, and open the volume slider
  - A cleaner interface to libmpd, with status handling
  - A GObjectified XfmpcMpdclient
  - A GObject XfmpcPreferences interface, so far it remembers the
    last position of the XfmpcInterface
* Sun Jan 20 2008 bwalle@suse.de
- initial package
